ContextService (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.ContextService class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextService

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextService

All Implemented Interfaces:
  java.io.Serializable

    public class ContextService

extends ResourceBase
implements java.io.Serializable

Representation of a web service reference for a web application, as represented in a `<service-ref>` element in the deployment descriptor.

Version:
  $Revision: 513349 $ $Date: 2007-03-01 15:33:06 +0100 (Thu, 01 Mar 2007) $
Author:
  Fabien Carrion
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextService()`

Method Summary
`void` | `addHandler(ContextHandler handler)`
`void` | `addPortcomponent(java.lang.String serviceendpoint, java.lang.String portlink)`
`java.lang.String` | `getDisplayname()`
`ContextHandler` | `getHandler(java.lang.String handlername)`
`java.util.Iterator` | `getHandlers()`
`java.lang.String` | `getIcon()`
`java.lang.String` | `getJaxrpcmappingfile()`
`java.lang.String` | `getPortlink(java.lang.String serviceendpoint)`
`java.util.Iterator` | `getServiceendpoints()` Declares a client dependency on the container to resolving a Service Endpoint Interface to a WSDL port.
`java.lang.String[]` | `getServiceqname()`
`java.lang.String` | `getServiceqname(int i)`
`java.lang.String` | `getServiceqnameLocalpart()`
`java.lang.String` | `getServiceqnameNamespaceURI()`
`java.lang.String` | `getWsdlfile()`
`void` | `setDisplayname(java.lang.String displayname)`
`void` | `setIcon(java.lang.String icon)`
`void` | `setJaxrpcmappingfile(java.lang.String jaxrpcmappingfile)`
`void` | `setServiceqname(java.lang.String[] serviceqname)`
`void` | `setServiceqname(java.lang.String serviceqname, int i)`
`void` | `setServiceqnameLocalpart(java.lang.String localpart)`
`void` | `setServiceqnameNamespaceURI(java.lang.String namespaceuri)`
`void` | `setWsdlfile(java.lang.String wsdlfile)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextService

    public ContextService()

Method Detail

### getDisplayname

    public java.lang.String getDisplayname()

### setDisplayname

    public void setDisplayname(java.lang.String displayname)

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String icon)

### getWsdlfile

    public java.lang.String getWsdlfile()

### setWsdlfile

    public void setWsdlfile(java.lang.String wsdlfile)

### getJaxrpcmappingfile

    public java.lang.String getJaxrpcmappingfile()

### setJaxrpcmappingfile

    public void setJaxrpcmappingfile(java.lang.String jaxrpcmappingfile)

### getServiceqname

    public java.lang.String[] getServiceqname()

### getServiceqname

    public java.lang.String getServiceqname(int i)

### getServiceqnameNamespaceURI

    public java.lang.String getServiceqnameNamespaceURI()

### getServiceqnameLocalpart

    public java.lang.String getServiceqnameLocalpart()

### setServiceqname

    public void setServiceqname(java.lang.String[] serviceqname)

### setServiceqname

    public void setServiceqname(java.lang.String serviceqname,
                                int i)

### setServiceqnameNamespaceURI

    public void setServiceqnameNamespaceURI(java.lang.String namespaceuri)

### setServiceqnameLocalpart

    public void setServiceqnameLocalpart(java.lang.String localpart)

### getServiceendpoints

    public java.util.Iterator getServiceendpoints()

  Declares a client dependency on the container to resolving a Service Endpoint Interface to a WSDL port. It optionally associates the Service Endpoint Interface with a particular port-component.

### getPortlink

    public java.lang.String getPortlink(java.lang.String serviceendpoint)

### addPortcomponent

    public void addPortcomponent(java.lang.String serviceendpoint,
                                 java.lang.String portlink)

### getHandlers

    public java.util.Iterator getHandlers()

### getHandler

    public ContextHandler getHandler(java.lang.String handlername)

### addHandler

    public void addHandler(ContextHandler handler)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.